# AWS Services

The following table summarizes the metadata found in the service AWS JSON files.

|  | apiVersion | endpointPrefix | jsonVersion | protocol | serviceFullName | signatureVersion | targetPrefix | uid | serviceAbbreviation | signingName | xmlNamespace | globalEndpoint | timestampFormat | checksumFormat |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2.0 | 2017-05-31 | mgh | 1.1 | json | AWS Migration Hub | v4 | AWSMigrationHub | AWSMigrationHub-2017-05-31 |  |  |  |  |  |  |
| 2.0 | 2015-12-08 | acm | 1.1 | json | AWS Certificate Manager | v4 | CertificateManager | acm-2015-12-08 | ACM |  |  |  |  |  |
| 2.0 | 2015-07-09 | apigateway |  | rest-json | Amazon API Gateway | v4 |  | apigateway-2015-07-09 |  |  |  |  |  |  |
| 2.0 | 2016-02-06 | autoscaling | 1.1 | json | Application Auto Scaling | v4 | AnyScaleFrontendService | application-autoscaling-2016-02-06 |  | application-autoscaling |  |  |  |  |
| 2.0 | 2016-12-01 | appstream2 | 1.1 | json | Amazon AppStream | v4 | PhotonAdminProxyService | appstream-2016-12-01 |  | appstream |  |  |  |  |
| 2.0 | 2017-05-18 | athena | 1.1 | json | Amazon Athena | v4 | AmazonAthena | athena-2017-05-18 |  |  |  |  |  |  |
| 2.0 | 2011-01-01 | autoscaling |  | query | Auto Scaling | v4 |  | autoscaling-2011-01-01 |  |  | http://autoscaling.amazonaws.com/doc/2011-01-01/ |  |  |  |
| 2.0 | 2016-08-10 | batch | 1.1 | rest-json | AWS Batch | v4 |  | batch-2016-08-10 | AWS Batch |  |  |  |  |  |
| 2.0 | 2016-10-20 | budgets | 1.1 | json | AWS Budgets | v4 | AWSBudgetServiceGateway | budgets-2016-10-20 | AWSBudgets |  |  |  |  |  |
| 2.0 | 2016-05-10 | clouddirectory |  | rest-json | Amazon CloudDirectory | v4 |  | clouddirectory-2016-05-10 |  | clouddirectory |  |  |  |  |
| 2.0 | 2010-05-15 | cloudformation |  | query | AWS CloudFormation | v4 |  | cloudformation-2010-05-15 |  |  | http://cloudformation.amazonaws.com/doc/2010-05-15/ |  |  |  |
| 2.0 | 2016-11-25 | cloudfront |  | rest-xml | Amazon CloudFront | v4 |  | cloudfront-2016-11-25 | CloudFront |  |  | cloudfront.amazonaws.com |  |  |
| 2.0 | 2017-03-25 | cloudfront |  | rest-xml | Amazon CloudFront | v4 |  | cloudfront-2017-03-25 | CloudFront |  |  | cloudfront.amazonaws.com |  |  |
| 2.0 | 2014-05-30 | cloudhsm | 1.1 | json | Amazon CloudHSM | v4 | CloudHsmFrontendService | cloudhsm-2014-05-30 | CloudHSM |  |  |  |  |  |
| 2.0 | 2017-04-28 | cloudhsmv2 | 1.1 | json | AWS CloudHSM V2 | v4 | BaldrApiService | cloudhsmv2-2017-04-28 | CloudHSM V2 | cloudhsm |  |  |  |  |
|  | 2011-02-01 | cloudsearch |  | query | Amazon CloudSearch | v4 |  |  |  |  | http://cloudsearch.amazonaws.com/doc/2011-02-01/ |  |  |  |
| 2.0 | 2013-01-01 | cloudsearch |  | query | Amazon CloudSearch | v4 |  | cloudsearch-2013-01-01 |  |  | http://cloudsearch.amazonaws.com/doc/2013-01-01/ |  |  |  |
| 2.0 | 2013-01-01 | cloudsearchdomain | 1.1 | rest-json | Amazon CloudSearch Domain | v4 |  | cloudsearchdomain-2013-01-01 |  | cloudsearch |  |  |  |  |
| 2.0 | 2013-11-01 | cloudtrail | 1.1 | json | AWS CloudTrail | v4 | com.amazonaws.cloudtrail.v20131101.CloudTrail_20131101 | cloudtrail-2013-11-01 | CloudTrail |  |  |  |  |  |
| 2.0 | 2016-10-06 | codebuild | 1.1 | json | AWS CodeBuild | v4 | CodeBuild_20161006 | codebuild-2016-10-06 |  |  |  |  |  |  |
| 2.0 | 2015-04-13 | codecommit | 1.1 | json | AWS CodeCommit | v4 | CodeCommit_20150413 | codecommit-2015-04-13 | CodeCommit |  |  |  |  |  |
| 2.0 | 2014-10-06 | codedeploy | 1.1 | json | AWS CodeDeploy | v4 | CodeDeploy_20141006 | codedeploy-2014-10-06 | CodeDeploy |  |  |  | unixTimestamp |  |
| 2.0 | 2015-07-09 | codepipeline | 1.1 | json | AWS CodePipeline | v4 | CodePipeline_20150709 | codepipeline-2015-07-09 | CodePipeline |  |  |  |  |  |
| 2.0 | 2017-04-19 | codestar | 1.1 | json | AWS CodeStar | v4 | CodeStar_20170419 | codestar-2017-04-19 | CodeStar |  |  |  |  |  |
| 2.0 | 2014-06-30 | cognito-identity | 1.1 | json | Amazon Cognito Identity | v4 | AWSCognitoIdentityService | cognito-identity-2014-06-30 |  |  |  |  |  |  |
| 2.0 | 2016-04-18 | cognito-idp | 1.1 | json | Amazon Cognito Identity Provider | v4 | AWSCognitoIdentityProviderService | cognito-idp-2016-04-18 |  |  |  |  |  |  |
| 2.0 | 2014-06-30 | cognito-sync | 1.1 | rest-json | Amazon Cognito Sync | v4 |  | cognito-sync-2014-06-30 |  |  |  |  |  |  |
| 2.0 | 2014-11-12 | config | 1.1 | json | AWS Config | v4 | StarlingDoveService | config-2014-11-12 | Config Service |  |  |  |  |  |
| 2.0 | 2017-01-06 | cur | 1.1 | json | AWS Cost and Usage Report Service | v4 | AWSOrigamiServiceGatewayService | cur-2017-01-06 |  | cur |  |  |  |  |
| 2.0 | 2012-10-29 | datapipeline | 1.1 | json | AWS Data Pipeline | v4 | DataPipeline | datapipeline-2012-10-29 |  |  |  |  |  |  |
| 2.0 | 2017-04-19 | dax | 1.1 | json | Amazon DynamoDB Accelerator (DAX) | v4 | AmazonDAXV3 | dax-2017-04-19 | Amazon DAX |  |  |  |  |  |
| 2.0 | 2015-06-23 | devicefarm | 1.1 | json | AWS Device Farm | v4 | DeviceFarm_20150623 | devicefarm-2015-06-23 |  |  |  |  |  |  |
| 2.0 | 2012-10-25 | directconnect | 1.1 | json | AWS Direct Connect | v4 | OvertureService | directconnect-2012-10-25 |  |  |  |  |  |  |
| 2.0 | 2015-11-01 | discovery | 1.1 | json | AWS Application Discovery Service | v4 | AWSPoseidonService_V2015_11_01 | discovery-2015-11-01 |  |  |  |  |  |  |
| 2.0 | 2016-01-01 | dms | 1.1 | json | AWS Database Migration Service | v4 | AmazonDMSv20160101 | dms-2016-01-01 |  |  |  |  |  |  |
| 2.0 | 2015-04-16 | ds | 1.1 | json | AWS Directory Service | v4 | DirectoryService_20150416 | ds-2015-04-16 | Directory Service |  |  |  |  |  |
| 2.0 | 2011-12-05 | dynamodb | 1.0 | json | Amazon DynamoDB | v4 | DynamoDB_20111205 | dynamodb-2011-12-05 | DynamoDB |  |  |  |  |  |
| 2.0 | 2012-08-10 | dynamodb | 1.0 | json | Amazon DynamoDB | v4 | DynamoDB_20120810 | dynamodb-2012-08-10 | DynamoDB |  |  |  |  |  |
| 2.0 | 2016-11-15 | ec2 |  | ec2 | Amazon Elastic Compute Cloud | v4 |  | ec2-2016-11-15 | Amazon EC2 |  | http://ec2.amazonaws.com/doc/2016-11-15 |  |  |  |
| 2.0 | 2015-09-21 | ecr | 1.1 | json | Amazon EC2 Container Registry | v4 | AmazonEC2ContainerRegistry_V20150921 | ecr-2015-09-21 | Amazon ECR |  |  |  |  |  |
| 2.0 | 2014-11-13 | ecs | 1.1 | json | Amazon EC2 Container Service | v4 | AmazonEC2ContainerServiceV20141113 | ecs-2014-11-13 | Amazon ECS |  |  |  |  |  |
| 2.0 | 2015-02-02 | elasticache |  | query | Amazon ElastiCache | v4 |  | elasticache-2015-02-02 |  |  | http://elasticache.amazonaws.com/doc/2015-02-02/ |  |  |  |
| 2.0 | 2010-12-01 | elasticbeanstalk |  | query | AWS Elastic Beanstalk | v4 |  | elasticbeanstalk-2010-12-01 | Elastic Beanstalk |  | http://elasticbeanstalk.amazonaws.com/docs/2010-12-01/ |  |  |  |
| 2.0 | 2015-02-01 | elasticfilesystem |  | rest-json | Amazon Elastic File System | v4 |  | elasticfilesystem-2015-02-01 | EFS |  |  |  |  |  |
| 2.0 | 2012-06-01 | elasticloadbalancing |  | query | Elastic Load Balancing | v4 |  | elasticloadbalancing-2012-06-01 |  |  | http://elasticloadbalancing.amazonaws.com/doc/2012-06-01/ |  |  |  |
| 2.0 | 2015-12-01 | elasticloadbalancing |  | query | Elastic Load Balancing | v4 |  | elasticloadbalancingv2-2015-12-01 | Elastic Load Balancing v2 |  | http://elasticloadbalancing.amazonaws.com/doc/2015-12-01/ |  |  |  |
| 2.0 | 2009-03-31 | elasticmapreduce | 1.1 | json | Amazon Elastic MapReduce | v4 | ElasticMapReduce | elasticmapreduce-2009-03-31 | Amazon EMR |  |  |  | unixTimestamp |  |
| 2.0 | 2012-09-25 | elastictranscoder |  | rest-json | Amazon Elastic Transcoder | v4 |  | elastictranscoder-2012-09-25 |  |  |  |  |  |  |
| 2.0 | 2010-12-01 | email |  | query | Amazon Simple Email Service | v4 |  | email-2010-12-01 | Amazon SES | ses | http://ses.amazonaws.com/doc/2010-12-01/ |  |  |  |
| 2.0 | 2017-01-11 | entitlement.marketplace | 1.1 | json | AWS Marketplace Entitlement Service | v4 | AWSMPEntitlementService | entitlement.marketplace-2017-01-11 |  | aws-marketplace |  |  |  |  |
| 2.0 | 2015-01-01 | es |  | rest-json | Amazon Elasticsearch Service | v4 |  | es-2015-01-01 |  |  |  |  |  |  |
| 2.0 | 2015-10-07 | events | 1.1 | json | Amazon CloudWatch Events | v4 | AWSEvents | events-2015-10-07 |  |  |  |  |  |  |
| 2.0 | 2015-08-04 | firehose | 1.1 | json | Amazon Kinesis Firehose | v4 | Firehose_20150804 | firehose-2015-08-04 | Firehose |  |  |  |  |  |
| 2.0 | 2015-10-01 | gamelift | 1.1 | json | Amazon GameLift | v4 | GameLift | gamelift-2015-10-01 |  |  |  |  |  |  |
| 2.0 | 2012-06-01 | glacier |  | rest-json | Amazon Glacier | v4 |  | glacier-2012-06-01 |  |  |  |  |  | sha256 |
| 2.0 | 2017-03-31 | glue | 1.1 | json | AWS Glue | v4 | AWSGlue | glue-2017-03-31 |  |  |  |  |  |  |
|  | 2017-06-07 | greengrass | 1.1 | rest-json | AWS Greengrass | v4 |  | greengrass-2017-06-07 |  | greengrass |  |  |  |  |
| 2.0 | 2016-08-04 | health | 1.1 | json | AWS Health APIs and Notifications | v4 | AWSHealth_20160804 | health-2016-08-04 | AWSHealth |  |  |  |  |  |
| 2.0 | 2010-05-08 | iam |  | query | AWS Identity and Access Management | v4 |  | iam-2010-05-08 | IAM |  | https://iam.amazonaws.com/doc/2010-05-08/ | iam.amazonaws.com |  |  |
| 2.0 | 2010-06-01 | importexport |  | query | AWS Import/Export | v2 |  | importexport-2010-06-01 |  |  | http://importexport.amazonaws.com/doc/2010-06-01/ | importexport.amazonaws.com |  |  |
| 2.0 | 2016-02-16 | inspector | 1.1 | json | Amazon Inspector | v4 | InspectorService | inspector-2016-02-16 |  |  |  |  |  |  |
| 2.0 | 2015-05-28 | iot |  | rest-json | AWS IoT | v4 |  | iot-2015-05-28 |  | execute-api |  |  |  |  |
| 2.0 | 2015-05-28 | data.iot |  | rest-json | AWS IoT Data Plane | v4 |  | iot-data-2015-05-28 |  | iotdata |  |  |  |  |
| 2.0 | 2013-12-02 | kinesis | 1.1 | json | Amazon Kinesis | v4 | Kinesis_20131202 | kinesis-2013-12-02 | Kinesis |  |  |  |  |  |
| 2.0 | 2015-08-14 | kinesisanalytics | 1.1 | json | Amazon Kinesis Analytics | v4 | KinesisAnalytics_20150814 | kinesisanalytics-2015-08-14 | Kinesis Analytics |  |  |  | unixTimestamp |  |
| 2.0 | 2014-11-01 | kms | 1.1 | json | AWS Key Management Service | v4 | TrentService | kms-2014-11-01 | KMS |  |  |  |  |  |
|  | 2014-11-11 | lambda |  | rest-json | AWS Lambda | v4 |  |  |  |  |  |  |  |  |
| 2.0 | 2015-03-31 | lambda |  | rest-json | AWS Lambda | v4 |  | lambda-2015-03-31 |  |  |  |  |  |  |
| 2.0 | 2017-04-19 | models.lex | 1.1 | rest-json | Amazon Lex Model Building Service | v4 |  | lex-models-2017-04-19 |  | lex |  |  |  |  |
| 2.0 | 2016-11-28 | lightsail | 1.1 | json | Amazon Lightsail | v4 | Lightsail_20161128 | lightsail-2016-11-28 |  |  |  |  |  |  |
| 2.0 | 2014-03-28 | logs | 1.1 | json | Amazon CloudWatch Logs | v4 | Logs_20140328 | logs-2014-03-28 |  |  |  |  |  |  |
| 2.0 | 2014-12-12 | machinelearning | 1.1 | json | Amazon Machine Learning | v4 | AmazonML_20141212 | machinelearning-2014-12-12 |  |  |  |  |  |  |
| 2.0 | 2015-07-01 | marketplacecommerceanalytics | 1.1 | json | AWS Marketplace Commerce Analytics | v4 | MarketplaceCommerceAnalytics20150701 | marketplacecommerceanalytics-2015-07-01 |  | marketplacecommerceanalytics |  |  |  |  |
| 2.0 | 2016-01-14 | metering.marketplace | 1.1 | json | AWSMarketplace Metering | v4 | AWSMPMeteringService | meteringmarketplace-2016-01-14 |  | aws-marketplace |  |  |  |  |
| 2.0 | 2017-07-01 | mobile | 1.1 | rest-json | AWS Mobile | v4 |  | mobile-2017-07-01 |  | AWSMobileHubService |  |  |  |  |
| 2.0 | 2014-06-05 | mobileanalytics |  | rest-json | Amazon Mobile Analytics | v4 |  |  |  |  |  |  |  |  |
| 2.0 | 2010-08-01 | monitoring |  | query | Amazon CloudWatch | v4 |  | monitoring-2010-08-01 | CloudWatch |  | http://monitoring.amazonaws.com/doc/2010-08-01/ |  |  |  |
| 2.0 | 2017-01-17 | mturk-requester | 1.1 | json | Amazon Mechanical Turk | v4 | MTurkRequesterServiceV20170117 | mturk-requester-2017-01-17 | Amazon MTurk |  |  |  |  |  |
| 2.0 | 2013-02-18 | opsworks | 1.1 | json | AWS OpsWorks | v4 | OpsWorks_20130218 | opsworks-2013-02-18 |  |  |  |  |  |  |
| 2.0 | 2016-11-01 | opsworks-cm | 1.1 | json | AWS OpsWorks for Chef Automate | v4 | OpsWorksCM_V2016_11_01 | opsworkscm-2016-11-01 | OpsWorksCM | opsworks-cm |  |  |  |  |
| 2.0 | 2016-11-28 | organizations | 1.1 | json | AWS Organizations | v4 | AWSOrganizationsV20161128 | organizations-2016-11-28 | Organizations |  |  |  | unixTimestamp |  |
|  | 2016-12-01 | pinpoint | 1.1 | rest-json | Amazon Pinpoint | v4 |  |  |  | mobiletargeting |  |  |  |  |
| 2.0 | 2016-06-10 | polly |  | rest-json | Amazon Polly | v4 |  | polly-2016-06-10 |  |  |  |  |  |  |
| 2.0 | 2013-01-10 | rds |  | query | Amazon Relational Database Service | v4 |  | rds-2013-01-10 | Amazon RDS |  | http://rds.amazonaws.com/doc/2013-01-10/ |  |  |  |
| 2.0 | 2013-02-12 | rds |  | query | Amazon Relational Database Service | v4 |  | rds-2013-02-12 | Amazon RDS |  | http://rds.amazonaws.com/doc/2013-02-12/ |  |  |  |
| 2.0 | 2013-09-09 | rds |  | query | Amazon Relational Database Service | v4 |  | rds-2013-09-09 | Amazon RDS |  | http://rds.amazonaws.com/doc/2013-09-09/ |  |  |  |
| 2.0 | 2014-09-01 | rds |  | query | Amazon Relational Database Service | v4 |  | rds-2014-09-01 | Amazon RDS |  | http://rds.amazonaws.com/doc/2014-09-01/ |  |  |  |
| 2.0 | 2014-10-31 | rds |  | query | Amazon Relational Database Service | v4 |  | rds-2014-10-31 | Amazon RDS |  | http://rds.amazonaws.com/doc/2014-10-31/ |  |  |  |
| 2.0 | 2012-12-01 | redshift |  | query | Amazon Redshift | v4 |  | redshift-2012-12-01 |  |  | http://redshift.amazonaws.com/doc/2012-12-01/ |  |  |  |
| 2.0 | 2016-06-27 | rekognition | 1.1 | json | Amazon Rekognition | v4 | RekognitionService | rekognition-2016-06-27 |  |  |  |  |  |  |
| 2.0 | 2017-01-26 | tagging | 1.1 | json | AWS Resource Groups Tagging API | v4 | ResourceGroupsTaggingAPI_20170126 | resourcegroupstaggingapi-2017-01-26 |  |  |  |  |  |  |
| 2.0 | 2013-04-01 | route53 |  | rest-xml | Amazon Route 53 | v4 |  | route53-2013-04-01 | Route 53 |  |  | route53.amazonaws.com |  |  |
| 2.0 | 2014-05-15 | route53domains | 1.1 | json | Amazon Route 53 Domains | v4 | Route53Domains_v20140515 | route53domains-2014-05-15 |  |  |  |  |  |  |
| 2.0 | 2016-11-28 | runtime.lex | 1.1 | rest-json | Amazon Lex Runtime Service | v4 |  | runtime.lex-2016-11-28 |  | lex |  |  |  |  |
| 2.0 | 2006-03-01 | s3 |  | rest-xml | Amazon Simple Storage Service | s3 |  | s3-2006-03-01 | Amazon S3 |  |  | s3.amazonaws.com | rfc822 | md5 |
|  | 2009-04-15 | sdb |  | query | Amazon SimpleDB | v2 |  |  |  |  | http://sdb.amazonaws.com/doc/2009-04-15/ |  |  |  |
| 2.0 | 2015-12-10 | servicecatalog | 1.1 | json | AWS Service Catalog | v4 | AWS242ServiceCatalogService | servicecatalog-2015-12-10 |  |  |  |  |  |  |
| 2.0 | 2016-06-02 | shield | 1.1 | json | AWS Shield | v4 | AWSShield_20160616 | shield-2016-06-02 | AWS Shield |  |  |  |  |  |
| 2.0 | 2016-10-24 | sms | 1.1 | json | AWS Server Migration Service | v4 | AWSServerMigrationService_V2016_10_24 | sms-2016-10-24 | SMS |  |  |  |  |  |
| 2.0 | 2016-06-30 | snowball | 1.1 | json | Amazon Import/Export Snowball | v4 | AWSIESnowballJobManagementService | snowball-2016-06-30 | Amazon Snowball |  |  |  |  |  |
| 2.0 | 2010-03-31 | sns |  | query | Amazon Simple Notification Service | v4 |  | sns-2010-03-31 | Amazon SNS |  | http://sns.amazonaws.com/doc/2010-03-31/ |  |  |  |
| 2.0 | 2012-11-05 | sqs |  | query | Amazon Simple Queue Service | v4 |  | sqs-2012-11-05 | Amazon SQS |  | http://queue.amazonaws.com/doc/2012-11-05/ |  |  |  |
| 2.0 | 2014-11-06 | ssm | 1.1 | json | Amazon Simple Systems Manager (SSM) | v4 | AmazonSSM | ssm-2014-11-06 | Amazon SSM |  |  |  |  |  |
| 2.0 | 2016-11-23 | states | 1.0 | json | AWS Step Functions | v4 | AWSStepFunctions | states-2016-11-23 | AWS SFN |  |  |  |  |  |
| 2.0 | 2013-06-30 | storagegateway | 1.1 | json | AWS Storage Gateway | v4 | StorageGateway_20130630 | storagegateway-2013-06-30 |  |  |  |  |  |  |
| 2.0 | 2012-08-10 | streams.dynamodb | 1.0 | json | Amazon DynamoDB Streams | v4 | DynamoDBStreams_20120810 | streams-dynamodb-2012-08-10 |  | dynamodb |  |  |  |  |
| 2.0 | 2011-06-15 | sts |  | query | AWS Security Token Service | v4 |  | sts-2011-06-15 | AWS STS |  | https://sts.amazonaws.com/doc/2011-06-15/ | sts.amazonaws.com |  |  |
| 2.0 | 2013-04-15 | support | 1.1 | json | AWS Support | v4 | AWSSupport_20130415 | support-2013-04-15 |  |  |  |  |  |  |
| 2.0 | 2012-01-25 | swf | 1.0 | json | Amazon Simple Workflow Service | v4 | SimpleWorkflowService | swf-2012-01-25 | Amazon SWF |  |  |  | unixTimestamp |  |
| 2.0 | 2015-08-24 | waf | 1.1 | json | AWS WAF | v4 | AWSWAF_20150824 | waf-2015-08-24 | WAF |  |  |  |  |  |
| 2.0 | 2016-11-28 | waf-regional | 1.1 | json | AWS WAF Regional | v4 | AWSWAF_Regional_20161128 | waf-regional-2016-11-28 | WAF Regional |  |  |  |  |  |
| 2.0 | 2016-05-01 | workdocs | 1.1 | rest-json | Amazon WorkDocs | v4 |  | workdocs-2016-05-01 |  |  |  |  |  |  |
| 2.0 | 2015-04-08 | workspaces | 1.1 | json | Amazon WorkSpaces | v4 | WorkspacesService | workspaces-2015-04-08 |  |  |  |  |  |  |
| 2.0 | 2016-04-12 | xray |  | rest-json | AWS X-Ray | v4 |  | xray-2016-04-12 |  |  |  |  |  |  |
